Package org.kapott.hbci.passport.rdhXfile

## Class FileHeader

- java.lang.Object
- - org.kapott.hbci.passport.rdhXfile.TLV
  - - org.kapott.hbci.passport.rdhXfile.FileHeader

    public class FileHeader
    extends TLV

### Constructor Summary

Constructors
`FileHeader()`
`FileHeader​(TLV tlv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getNofIterations()`
`int` `getProfileVersion()`
`byte[]` `getSalt()`
`int` `getVersion()`
`void` `setNofIterations​(int nof_iterations)`
`void` `setProfileVersion​(int pversion)`
`void` `setRandomSalt()`
`void` `setSalt​(byte[] salt)`
`void` `setVersion​(int version)`
`java.lang.String` `toString()`
`void` `updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileHeader

    public FileHeader()

#### FileHeader

    public FileHeader​(TLV tlv)

### Method Detail

#### getProfileVersion

    public int getProfileVersion()

#### setProfileVersion

    public void setProfileVersion​(int pversion)

#### getVersion

    public int getVersion()

#### setVersion

    public void setVersion​(int version)

#### getSalt

    public byte[] getSalt()

#### setSalt

    public void setSalt​(byte[] salt)

#### setRandomSalt

    public void setRandomSalt()

#### getNofIterations

    public long getNofIterations()

#### setNofIterations

    public void setNofIterations​(int nof_iterations)

#### updateData

    public void updateData()

Overrides:
  `updateData` in class `TLV`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`